Linux IPv6 HOWTO (en)
Prev | Chapter 9. Configuring IPv6-in-IPv4 tunnels | Next

# 9.2. Displaying existing tunnels

## 9.2.1. Using "ip"

Usage:

    # /sbin/ip -6 tunnel show [<device>]

Example:

    # /sbin/ip -6 tunnel show
    sit0: ipv6/ip remote any local any ttl 64 nopmtudisc
    sit1: ipv6/ip remote 195.226.187.50 local any ttl 64

## 9.2.2. Using "route"

Usage:

    # /sbin/route -A inet6

Example (output is filtered to display only tunnels through virtual interface sit0):

    # /sbin/route -A inet6 | grep "\Wsit0\W*$"
    ::/96      ::               U   256  2  0  sit0
    2002::/16  ::               UA  256  0  0  sit0
    2000::/3   ::193.113.58.75  UG    1  0  0  sit0
    fe80::/10  ::               UA  256  0  0  sit0
    ff00::/8   ::               UA  256  0  0  sit0

Prev | Home | Next
Types of tunnels | Up | Setup of point-to-point tunnel